/**
 * Shopware 5.0
 * Copyright © 2015
 *
 * @category   Shopware_Plugins
 * @package    FinSearchAPI
 * @subpackage findologic.js
 * @copyright  Copyright (c) 2015
 * @version    5.01.00
 * @author     FINDOLOGIC GmbH
 */

;(function ($, document) {    
    $(document).ready(function() {

    	$('.filter--trigger').addClass('is--active');
    	$('.action--filter-options').addClass('is--collapsed');

		$('*[data-filter-type], a.paging--link').unbind(); //wichtig, killt die Events

		$('.filter--trigger--more label').click(function() {
			$('.filter-panel--more label i').toggleClass('icon--arrow-down').toggleClass('icon--arrow-up');
		});

		$('.findologic_pagesize_dropdown, #findologic_order_dropdown').change(function() {
			var content = $('.findologic.search--content'),
				shopurl = content.attr('data-findologicshopurl'),
				params  = content.attr('data-findologicparams');

			if ($(this).attr('name') == 'findologic_order_dropdown') {
				var order = $(this).val();
			} else {
				var order = content.attr('data-findologicorder');
			}

			if ($(this).attr('name') == 'findologic_pagesize_dropdown') {
				var count = $(this).val();
			} else {
				var count = content.attr('data-findologiccount'); 
			}

			location.href = shopurl + params + '&order=' + order + '&count=' + count;
		});

		$('#findologic-filter input').change(function(event) {
			event.preventDefault();
			// werte abholen von data attributen
			var content = $('.findologic.search--content');
			var shopurl = content.attr('data-findologicshopurl');
			var params  = content.attr('data-findologicparams');
			var orders  = $('#findologic_order_dropdown').val();
            if (orders == null){
                orders = 'none';
            }

            var count   = $('#findologic_pagesize_dropdown').val();
            if (count == null){
                count = 12;
            }

			// werte abholen vom panel
			var panel   = $(this).parents('.filter-panel');
			var type    = panel.attr('data-filter-type');
			var attr    = panel.attr('data-field-name');
 		    var newparam = {};

			if (type == 'range') {
				newparam[attr] = {
					'type' : 'range',
					'min' : panel.find('input#min').val(), 
					'max' : panel.find('input#max').val(),
					'unit' : panel.find('input#max').attr('data-range-unit')
				}
			}
			if (type == 'value-list') {
				if (panel.hasClass('multi')) {
					var multi = {};
					panel.find('input').each(function(i,e) {
						if ($(this).prop('checked')) { multi [i] = $(this).val(); }					
					})
					newparam[attr] = { 'type' : 'multi', 'values' : multi }
				} else {
					newparam[attr] = $(this).val();
				}
			}

            $.ajax({
                'data': {
                	'params': params,
					'newparam': newparam,
                        },
        		'url': '{url controller="FinSearchAPI" action="buildParamsString"}',
                'dataType': 'text',                
                'success': function (response) {
						if (!shopurl) { shopurl = "?"; }
                		location.href = shopurl + response + '&order=' + orders + '&count=' + count;
                	return true;
                },
                'error': function () {
                    console.info('Error!!');
                }
            })
		});


		//hide filters on leftsidebar on button click
		$('.sidebar--categories-wrapper .filter--trigger').on('click', function(){
			$('.filter--trigger').toggleClass('is--active');
			$('#findologic-filter').slideToggle();
		});


		//close filter with same class if it's open
		$('.filter-panel--title').on('click', function(){
			if($(this).parent().parent().parent().parent().hasClass('filter-panel--more')){
				$('#findologic-filter').children('.filter-panel').removeClass('is--collapsed');
			}
			else{
				$('.filter-panel--more .filter-panel').removeClass('is--collapsed');
			}

		});



    });
})(jQuery, document);


