{* Paging which will be included in the searchResults.tpl *}
{namespace name="frontend/listing/listing_actions"}
{if !$sCategoryContent.hideFilter}
    <div class="listing--paging panel--paging">

        {* Pagination label *}
        {block name='frontend_findologic_actions_paging_label'}{/block}

        {* Pagination - Frist page *}
        {block name="frontend_findologic_actions_paging_first"}
            {if $findologic.paging.Page > 1}
                <a href="{$findologic.paging.first}" title="{"{s name='ListingLinkFirst'}{/s}"|escape}" class="paging--link paging--prev" data-action-link="true">
                    <i class="icon--arrow-left"></i>
                    <i class="icon--arrow-left"></i>
                </a>
            {/if}
        {/block}

        {* Pagination - Previous page *}
        {block name='frontend_findologic_actions_paging_previous'}
            {if $findologic.paging.Page > 1}
                <a href="{$findologic.paging.previous}" title="{"{s name='ListingLinkPrevious'}{/s}"|escape}" class="paging--link paging--prev" data-action-link="true">
                    <i class="icon--arrow-left"></i>
                </a>
            {/if}
        {/block}

        {* Pagination - current page *}
        {block name='frontend_findologic_actions_paging_numbers'}
            {if $findologic.paging.pages > 1}
                <a title="{$sCategoryContent.name|escape}" class="paging--link is--active">{$findologic.paging.Page}</a>
            {/if}
        {/block}

        {* Pagination - Next page *}
        {block name='frontend_findologic_actions_paging_next'}
            {if $findologic.paging.Page < $findologic.paging.pages}
                <a href="{$findologic.paging.next}" title="{"{s name='ListingLinkNext'}{/s}"|escape}" class="paging--link paging--next" data-action-link="true">
                    <i class="icon--arrow-right"></i>
                </a>
            {/if}
        {/block}

        {* Pagination - Last page *}
        {block name="frontend_findologic_actions_paging_last"}
            {if $findologic.paging.Page < $findologic.paging.pages}
                <a href="{$findologic.paging.last}" title="{"{s name='ListingLinkLast'}{/s}"|escape}" class="paging--link paging--next" data-action-link="true">
                    <i class="icon--arrow-right"></i>
                    <i class="icon--arrow-right"></i>
                </a>
            {/if}
        {/block}

        {* Pagination - Number of pages *}
        {block name='frontend_findologic_actions_count'}
            {if $findologic.paging.pages > 1}
                <span class="paging--display">
                    {s name="ListingTextFrom"}{/s} <strong>{$findologic.paging.pages}</strong>
                </span>
            {/if}
        {/block}

        {* Products per page selection *}
        {block name='frontend_findologic_actions_items_per_page'}
            {if $findologic.pagesize_dropdown}
                <div class="action--per-page findologic action--content block">

                    {block name='frontend_findologic_actions_items_per_page_label'}
                        <label for="findologic_pagesize_dropdown" class="per-page--label action--label">{s name='ListingLabelItemsPerPage'}{/s}</label>
                    {/block}

                    <select class="findologic_pagesize_dropdown per-page--field action--field" id="findologic_pagesize_dropdown" name="findologic_pagesize_dropdown" data-class="per-page--select">
                        {foreach from=$findologic.pagesize_dropdown.sizes item=size}
                            <option value="{$size}" label="{$size}" {if $findologic.pagesize_dropdown.selected == $size}selected="selected"{/if}>{$size}</option>
                        {/foreach}
                    </select>

                </div>
            {/if}
        {/block}

        {* If navigation is left we are displaying ordering in the same line as paging *}
        {block name='frontend_findologic_actions_items_per_page'}
            {if $findologic.navigation_is_left}
                {include file='plugins/fin_search_api/FinSearchAPIOrder.tpl'}
            {/if}
        {/block}
    </div>
{/if}