{namespace name="frontend/plugins/fin_search_api/fin_category"}

{* Include the FinSearchAPI styling *}
{block name="frontend_index_header_css_screen" append}
    <link type="text/css" media="all" rel="stylesheet" href="{link file='_Resources/findologic.css'}" />
{/block}

{* Include the FinSearchAPI javascript *}
{block name='frontend_index_header_javascript_jquery_lib' append}
    <script type="text/javascript">{include file='_Resources/findologic.js'} </script>
{/block}

{* Content Area *}
{block name="frontend_index_content"}
    {block name='frontend_listing_actions_top'}
        <div class="content findologic search--content"
             data-findologicShopURL="{$findologic.shopurl}"
             data-findologicParams="{$findologic.url_params}"
             data-findologicOrder="{$findologic.order_dropdown.selected}"
             data-findologicCount="{$findologic.pagesize_dropdown.selected}">

            {* Topseller *}
            {if !$hasEmotion && !$sSupplierInfo && {config name=topSellerActive}}
                {action module=widgets controller=listing action=top_seller sCategory=$sCategoryContent.id}
            {/if}

            {if $findologic.displayBranding}
                {block name='frontend_findologic_headline_images'}
                    <a target="_blank" href="http://www.findologic.com/"><img class="fl-logo" src="{link file=$finSearchApi.logo}" /></a>

                    {if $findologic.promotion.link && $findologic.promotion.image}
                        <div class="FindologicPromotion" style="clear:both;">
                            <a href="{$findologic.promotion.link}"><img src="{$findologic.promotion.image}" /></a>
                        </div>
                    {/if}
                    <div class="clear head">&nbsp;</div>
                {/block}
            {/if}
            
            <div class="search--results">
                {* selected Filters *}
                {block name="frontend_findologic_selected_filters"}
                    {include file='plugins/fin_search_api/selectedFilters.tpl'}
                {/block}

                {block name="frontend_findologic_top"}
                    {if !$sCategoryContent.hideFilter}
                        <div data-listing-actions="true" class="listing--actions is--rounded">
                            {* Filterbutton *}
                            {block name="frontend_findologic_order"}
                                {include file='plugins/fin_search_api/FinSearchAPIFilterButton.tpl'}
                            {/block}

                            {* Order *}
                            {block name="frontend_findologic_order"}
                                {include file='plugins/fin_search_api/FinSearchAPIOrder.tpl'}
                            {/block}

                            {* Filterpanel *}
                            {block name="frontend_findologic_filters"}
                                {include file='plugins/fin_search_api/FinSearchAPIFilter.tpl'}
                            {/block}

                            {* Paging *}
                            {block name="frontend_findologic_top_paging"}
                                {include file='plugins/fin_search_api/FinSearchAPIPagination.tpl'}
                            {/block}
                        </div>
                    {/if}
                {/block}

                {* Listingansicht *}
                {block name="frontend_findologic_search_results"}
                    {include file='plugins/fin_search_api/FinSearchAPIContent.tpl'}
                {/block}

                {* Paging *}
                {block name="frontend_findologic_bottom_paging"}
                    <div class="listing--bottom-paging">
                        {include file='plugins/fin_search_api/FinSearchAPIPagination.tpl'}
                    </div>
                {/block}
            </div>
        </div>
    {/block}
{/block}

