{extends file="frontend/listing/index.tpl"}
{block name="frontend_index_header_javascript_jquery" append}
    <style>
        #fl-filters {
            margin-bottom: 30px;
        }
        #fl-filters ul.categories {
            background-clip: padding-box;
            border: 1px solid #dadae5;
            border-radius: 3px;
            margin: 0;
            padding: 0;
            list-style: none;
        }
        #fl-filters ul.categories li {
            border-bottom: 1px solid #dadae5;
        }
        #fl-filters ul.categories li a {
            padding: 10px 20px;
            display: block;
            color: #d9400b;
            font-weight: bold;
            overflow: hidden;
            text-overflow: ellipsis;
            text-transform: capitalize;
        }
        #fl-filters ul.categories li ul {
            padding: 0;
            margin: 0;
            list-style: none;
            display: none;
            background-clip: padding-box;
        }
        #fl-filters ul.categories li ul li {
            border-bottom:none;
        }
        #fl-filters ul.categories li ul li a {
            color: #5f7285;
            overflow: hidden;
            text-overflow: ellipsis;
            font-weight: normal;
            font-size: 12px;
            background: none;
            padding-top: 6px;
            padding-bottom: 6px;
        }
        #fl-filters ul.categories li ul li a input {
            display: inline-block;
            vertical-align: sub;
            margin-right: 5px;
        }


    </style>
{/block}
{block name="frontend_index_left_categories" prepend}

    <div id="fl-filters">
        <ul class="categories level0 filter-accordion">
            {foreach from=$fin_filters item=filter}
                <li class="sub">
                    <a href="" class="flag active">{$filter.display}</a>
                    <ul class="submenu level1">
                        {if $filter.items }
                            {if isset($filter.items.item) && is_array($filter.items.item) && array_key_exists(0, $filter.items.item)}
                                {foreach from=$filter.items.item item=fils}
                                    <li><a href="#" fl-data-name="{$filter.display}" fl-data-value="{$fils.name}"><input type="checkbox" value="{$fils.name}" />{$fils.name}</a></li>
                                {/foreach}
                            {else}
                                <li><a href="#" fl-data-name="{$filter.display}" fl-data-value="{$filter.items.item.name}"><input type="checkbox" value="{$filter.items.item.name}" />{$filter.items.item.name}</a></li>
                            {/if}
                        {/if}
                    </ul>
                </li>
            {/foreach}
        </ul>
    </div>

    <script>
        window.addEventListener('load', function () {
            (function($){
                var query = '',
                        page = 1,
                        controllerUrl = '{url controller=FinSearchAPI action=ajaxFilters}';

                function flAjaxFilterHandle(e) {
                    var name, value;
                    e.preventDefault();
                    if (this.attributes.length == 3) {
                        name = $(this).attr('fl-data-name');
                        value = $(this).attr('fl-data-value');

                        query += query.indexOf('?') == -1 ? '?' : '&';
                        query += 'attrib[' + name + '][]=' + value;
                        console.log(query);
                        flExecuteAjaxCall();
                    } else  if ($(this).parent('li').hasClass('active')) {
                        $(this).parent('li').removeClass('active');
                        $(this).parent('li').children('.submenu').slideUp();
                    } else {
                        var lastActiveElement = $('.filter-accordion li.active ul');
                        lastActiveElement.parent('li').removeClass('active');
                        lastActiveElement.slideUp(400);
                        $(this).parent('li').addClass('active');
                        $(this).parent('li').children('.submenu').slideDown();
                    }
                }

                function flExecuteAjaxCall () {
                    $.ajax({
                        url: controllerUrl + query,
                        data: {
                            category: '{$fin_category}',
                            "page": page,
                            "pageSize": $('[name="sPerPage"]').val()
                        },
                        success: function (data) {
                            var template_data = JSON.parse(data);
                            $('#fl-filters').empty();
                            $('#fl-filters').html(template_data.filters);

                            $('.filter-accordion li a').on('click', flAjaxFilterHandle);

                            if(template_data.products){
                                $('.listing--wrapper').empty();
                                $('.listing--wrapper').html(template_data.products);

                                $('[name="sPerPage"]').change(function (e) {
                                    flExecuteAjaxCall();
                                });

                                $('.fl_navi').unbind('click');
                                $('.fl_navi').click(function (e) {
                                    e.preventDefault();
                                    page = $(this).attr('data-fl-page');
                                    flExecuteAjaxCall();
                                });
                            }
                        }
                    });
                }

                $('.filter-accordion li a').on('click', flAjaxFilterHandle);

            })(jQuery);
        })
    </script>

{/block}