{namespace name="frontend/plugins/fin_search_api/search"}

{* Erben des Grundgeruests *}
{extends file="frontend/index/index.tpl"}

{* Include the FinSearchAPI styling *}
{block name="frontend_index_header_css_screen" append}   
    <link type="text/css" media="all" rel="stylesheet" href="{link file='_Resources/findologic.css'}" />
{/block}

{* Include the FinSearchAPI javascript *}
{block name='frontend_index_header_javascript_jquery_lib' append}
    <script type="text/javascript">{include file='_Resources/findologic.js'} </script>
{/block}

{* Breadcrumb erstellen*}
{block name='frontend_index_start' append}
    {$sBreadcrumb[] = ['name'=>"Findologic Suche", 'link'=>{url}]}
{/block}

{* Content Area *}
{block name="frontend_index_content"}
    <div class="content findologic search--content" 
        data-findologicShopURL="{$findologic.shopurl}" 
        data-findologicParams="{$findologic.url_params}" 
        data-findologicOrder="{$findologic.order_dropdown.selected}" 
        data-findologicCount="{$findologic.pagesize_dropdown.selected}">

        {* headline *}
        {block name='frontend_findologic_headline'}
            <h1 class="search--headline">
                {$findologic.query.string}
            </h1>
        {/block}


        {if $findologic.displayBranding}
            {block name='frontend_findologic_headline_images'}
                <a target="_blank" href="http://www.findologic.com/"><img class="fl-logo" src="{link file=$finSearchApi.logo}" /></a>

                {if $findologic.language_locale eq 'de_DE'}
                    <span class="fl-mobile-logo"><img src="https://cdn.findologic.com/autocomplete/img/de_powered_by_FINDOLOGIC_mobile.svg"></span>
                {else}
                    <span class="fl-mobile-logo"><img src="https://cdn.findologic.com/autocomplete/img/en_powered_by_FINDOLOGIC_mobile.svg"></span>
                {/if}

                {if $findologic.promotion.link && $findologic.promotion.image}
                    <div class="FindologicPromotion" style="clear:both;">
                        <a href="{$findologic.promotion.link}"><img src="{$findologic.promotion.image}" /></a>
                    </div>
                {/if}
                <div class="clear head">&nbsp;</div>
            {/block}
        {/if}

        {if $findologic.products_count}
            <div class="search--results">
                {* selected Filters *}
                {block name="frontend_findologic_selected_filters"}
                    {include file='plugins/fin_search_api/selectedFilters.tpl'}
                {/block}

                {block name="frontend_findologic_top"}
                    <div data-listing-actions="true" class="listing--actions is--rounded">
                        {* Filterbutton *}
                        {block name="frontend_findologic_filter_button"}
                            <div class="action--filter-btn">
                                <a href="#" class="filter--trigger btn is--small is--active"
                                    data-filter-trigger="true"
                                    data-offcanvas="true"
                                    data-offcanvasselector=".action--filter-options"
                                    data-closebuttonselector=".filter--close-btn"
                                    <i class="icon--filter"></i>
                                    {s name="FinSearchAPIAvailablefilter"}Verfügbare Filter{/s}
                                    <span class="fl-action--collapse-icon">{if $findologic.selected_filter}{$findologic.selected_filter|@count}{/if}</span>
                                </a>
                            </div>
                        {/block}

                        {* Order *}
                        {block name="frontend_findologic_order"}
                            {include file='plugins/fin_search_api/FinSearchAPIOrder.tpl'}
                        {/block}

                        {* Filterpanel *}
                        {block name="frontend_findologic_filters"}
                            {include file='plugins/fin_search_api/FinSearchAPIFilter.tpl'}
                        {/block}

                        {* Paging *}
                        {block name="frontend_findologic_top_paging"}
                            {include file='plugins/fin_search_api/FinSearchAPIPagination.tpl'}
                        {/block}
                    </div>
                {/block}

                {* Listingansicht *}
                {block name="frontend_findologic_search_results"}
                    {include file='plugins/fin_search_api/FinSearchAPIContent.tpl'}
                {/block}

                {* Paging *}
                {block name="frontend_findologic_bottom_paging"}
                    <div class="listing--bottom-paging">
                        {include file='plugins/fin_search_api/FinSearchAPIPagination.tpl'}
                    </div>
                {/block}
            </div>
        {/if}
    </div>
{/block}