# FINDOLOGIC SHOPWARE 5 API PLUGIN

  FINDOLOGIC SHOPWARE 5 API PLUGIN plug-in needs to be implemented in SHOPWARE 5 eShop to export products and its data for successful implementation of FINDOLOGIC Search into SHOPWARE 5 eShop. Plug-in overrides shops native Smarty templates with its own. This is done because plug-in uses these templates to display search results.  Beside product export, this plug-in also injects tracking scripts, in order to improve user experience of using shop itself.

  This plug-in is going through all the shop's data and finding valid products for export. In order to be exported, following conditions must be met:
  * product must be set to active
  * product must have title
  * product stock must be grater that zero
  * product should not be configured as variant
  * product categories must be active

## INSTALLATION
  FINDOLOGIC SHOPWARE 5 API plug-in installation procedure is basically the same as for any other SHOPWARE 5 plug-in. It can be summed up in a few simple steps:
* Plug-in content needs to copied into *“engine/Shopware/Plugins/Community/Frontend”* folder
* After this, in Admin panel click on Configuration → Plugin Manager
* In the left side menu, click on “Installed”
* Plug-in should be listed in the uninstalled plug-ins
* Click on the plug-in green circle to install it
* Click on “Activate” button
* In “Configuration” tab fill-in or check fields:
  1. “Activate plugin for this shop” → set to “Yes”
  2. “Shopkey” → enter shopkey provided by FINDOLOGIC
  3. “FINDOLOGIC/Service URL” → enter service URL provided by FINDOLOGIC
  4. “Number of records per export step” → enter how many articles you want to export in one call, default is 100
  5. “Number of articles per page” → in the search results you will have an option to choose how many articles you want to see at the time, default values are 12,24,36,48. If you want to change this numbers, enter your own values and separate them with semicolon (;)
  6. “Activate Autocomplete” → If you want search autocomplete, this needs too be set to “Yes”
* After you fill this this form, click **“Save”** 
  **Note:** Shop key must be entered in valid format or error will be shown

* Finally, shop's cache must be cleared

## RUNNING EXPORT
  Export is called via URL. For example:

  *SHOP_URL/FinSearchAPI/export*
  
  After successful export, export file (export.csv) will be stored in folder “export” that is located in the root of the shop.

## RUNNING IMPORT

  To import exported data, you need to login into customer FINDOLOGIC customer account, click on “Settings” → “Import/Export” and click “Start”.

# Versions
## 5.02.32.1
* Fixed error with variables not defined (PHP <=5.4)
* Fixed problem with exported attributes with no keys set

## 5.02.32
* Plugin update fixed
* Color filter using FINDOLOGIC values
* Attributes translation fix
* Added support for product streams type "conditional"
* Fixed navigation when shop is installed under sub-folder
* Plugin renamed FLSearchAPI -> FinSearchAPI
* Minor bug fixes
* Fixed bug with exporting secondary shop (too many articles exported)
* Removed selected filters headline when there is no filters selected

## 5.02.31
* Plugin author changed
* SmartSuggest removed when there is no shopkey
* Removed HTML tags from summary and description
* Removed on sale, rating, delivery time from CSV
* Removed config option for exporting inactive articles
* Rename sorting values
* Remove autocomplete configuration
* Removed HTML tags from summary and description
* Removed false encoding from summary and description
* Stop exporting order numbers for disabled variants
* Remove unnecessary filter attributes
* Added missing translation in plugin config
* Hide more filter link if no more additional filters exists
* Added "alt" attribute for image-based filters
* Removed configuration option to export inactive products
* Check shop's product stream support (v5.1.0 or greater)
* Stop exporting attributes for non-active variants
* Show category filter when subcategory weight is greater than zero
* Changed export file name 

## 5.02.30
* Fixed problem causing plugin break on export
* Cleared cache after plugin installation
* Removed extra color filter from the export
* Fixed security issue (SQL injection through request param)
* Change in autocomplete script call
* Fixed ordering (sort) on initial category page
* Removed empty filters
* Fixed onsale attribute export issue
* Fixed error with exporting inactive product (no order number)
* Removed tracking script
* Added product stream support

## 5.02.29
* Refer to a correct image in SmartSuggest

## 5.02.28
* Fixed error when export is started

## 5.02.27
* Removed duplicate content in some cases

## 5.02.26
* Added option to switch branding on/off (search page, cat page left, cat page top)

## 5.02.25
* Plugin config can not be saved on multishops
* Added configuration option for for exporting out-of-stock products
* Fixed smart suggest encoding problem
* Added lower case in color filter check and overflow in filter template
* Fixed ordering on category page
* Removed filters container if no filters available

## 5.02.24
* Removed filters with no values
* Fix in category page pagination

## 5.02.23
* Color tiles and vendor image CSS adaption 

## 5.02.22
* Change image in the plugin description section (backend)

## 5.02.21
* Change plugin name

## 5.02.20
* Rename plugin's author

## 5.02.19
* Removed redundant JS script for fixing SmartSuggest touch event propagation problem
 
## 5.02.18
* Remove the option to exclude categories from the plugin

## 5.02.17
* Changed FINDOLOGIC logo on mobile version

## 5.02.16
* Changed color of the search term and number of hits in the headline of search result

## 5.02.15
* Added colortile and manufacturer image filters

## 5.02.14
* Remove shop's search if FINDOLOGIC search is active

## 5.02.13
* Add attribute support for configurator articles with only one variant

## 5.02.12
* Add compatibility for shop plugin templates

## 5.02.11
Solved problem with too many products exported

## 5.02.10
* Fixed problem with SmartSuggest (tuch event propagation)

## 5.02.09
* Navigation can be disabled on category page

## 5.02.08
* Added alivetest functionality

## 5.02.07
* Added support for filters with double quotes

## 5.02.06
* Export correct image

## 5.02.05
* Fixed problem with SmartSuggest not working on mobile layout

## 5.02.04
* Export performance improvement

## 5.02.03
* Fix in navigation logic

## 5.02.02
* Added additional filters to the export

## 5.02.01
* Added navigation on category page

## 5.01.04
* Initial plugin
